{% extends 'base.html' %}
{% load static %}
{% block content %}
{% block tambahStyle %}
{% endblock tambahStyle %}
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <title>Search Covid-19</title>
</head>
<body>
    {% if user.is_authenticated %}

  <div class="card" style="width: 30rem;">
    <div class="card-body">
      <h1 class ="card-title" style="color: darkolivegreen;">Ingin info lebih, {{user.username}}?</h1>
    </div>
  </div>
  {% endif %}
    <h1>Cari Buku yang berkaitan dengan Corona</h1>
    <p>keywords = "covid-19", "corona", "covid-19, melawan covid-19"</p>
    <input id = "keyword" placeholder="Masukan Kata Kunci">

<ol id="hasil">
</ol>
    <script type="text/javascript">
        $("#keyword").keyup(function(){
            var isi_keyword = $("#keyword").val();
           // console.log(isi_keyword);
            var url_utk_dipanggil = 'https://www.googleapis.com/books/v1/volumes?q=' + isi_keyword;
            // console.log(url_utk_dipanggil);
            $.ajax({
                url: url_utk_dipanggil,
                success: function(hasil){
                    console.log(hasil.items);
                    var obj_hasil = $("#hasil");
                    obj_hasil.empty();

                    for(i=0; i<hasil.items.length; i++){
                        var tmp_title = hasil.items[i].volumeInfo.title;
                        var tmp_thumbnails = hasil.items[i].volumeInfo.imageLinks.smallThumbnail;
                        console.log(tmp_title);
                        obj_hasil.append('<li> '+tmp_title+'<br><img src='+tmp_thumbnails+'></li>');
                    }
                }
            });
        });
    </script>
    
</body>
{% endblock %}
